#!/usr/bin/perl -I/usr/sausalito/perl
#
# $Id: vz_vserver_backup_extend.pl, v 1.0.0.6 Fri 28 Oct 2011 06:18:35 AM CEST mstauber Exp $
# Copyright 2006-2011 Stauber Multimedia Design. All rights reserved.
#
# If you want to perform any special actions after a local or remote RSYNC backup, then put
# them into this script. It will be executed once all local and remote RSYNC backups are done.

#
## Script enabler:
#

# Set this to "1" to enable this script:
$enabled = "0";

#
### Set this accordingly to your environment:
#

# Local source from which we fetch the data:
$localsource = "/vz/backup";

# Local target to which we copy the data:
$localtarget = "/samba/backup";

# Split Archives into multiple parts? Default: 1
$split = "1";

# Archive size. Default: 1000m (1 Gig)
$split_size = "1000m";

#
### No configureable options below:
#

use CCE;
use POSIX qw(isalpha);
use Socket;
use Sys::Hostname;
use File::Spec;

my $cce = new CCE;
$cce->connectuds();

$oid = $cce->event_oid();
$obj = $cce->event_object();

$host = hostname();
$addr = inet_ntoa(scalar(gethostbyname($host)) || 'localhost');
$now = localtime time;

# Remove stale lockfiles if it is older than 120 minutes:
if (-f "/tmp/vz_vserver_backup_extend.lock") {
        system("find /tmp/vz_vserver_backup_extend.lock -type f -cmin +120 -print | xargs rm >/dev/null 2>&1");
}

# Only run this script if it's been set to enabled:
if ($enabled != "1") {
        exit 0;
}

# Create lockfile:
system("/bin/touch /tmp/vz_vserver_backup_extend.lock");

###
### ### Put your custom code below.
###



###
### ### Put your custom code above.
###

# Remove lockfile:
system("/bin/rm -f /tmp/vz_vserver_backup_extend.lock");

exit 0;

